export const createStyles = () => {
    const token = {
      colorBgContainer: '#fff',
      colorBgLayout: '#f5f5f5',
      colorText: 'rgba(0, 0, 0, 0.88)',
      borderRadius: 8,
      boxShadow: '0 2px 8px rgba(0, 0, 0, 0.15)',
      paddingLG: 24,
      fontFamily: '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial'
    }
  
    return {
      layout: `
        width: 100%;
        min-width: 1000px;
        height: 722px;
        border-radius: ${token.borderRadius}px;
        display: flex;
        background: ${token.colorBgContainer};
        font-family: AlibabaPuHuiTi, ${token.fontFamily}, sans-serif;
      `,
      menu: `
        background: ${token.colorBgLayout}80;
        width: 280px;
        height: 100%;
        display: flex;
        flex-direction: column;
      `,
      conversations: `
        padding: 0 12px;
        flex: 1;
        overflow-y: auto;
      `,
      chat: `
        height: 100%;
        width: 100%;
        max-width: 700px;
        margin: 0 auto;
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
        padding: ${token.paddingLG}px;
        gap: 16px;
      `,
      messages: `
        flex: 1;
      `,
      placeholder: `
        padding-top: 32px;
      `,
      sender: `
        box-shadow: ${token.boxShadow};
      `,
      logo: `
        display: flex;
        height: 72px;
        align-items: center;
        justify-content: start;
        padding: 0 24px;
        box-sizing: border-box;
  
        img {
          width: 24px;
          height: 24px;
          display: inline-block;
        }
  
        span {
          display: inline-block;
          margin: 0 8px;
          font-weight: bold;
          color: ${token.colorText};
          font-size: 16px;
        }
      `,
      addBtn: `
        background: #1677ff0f;
        border: 1px solid #1677ff34;
        width: calc(100% - 24px);
        margin: 0 12px 24px 12px;
      `
    }
  }